
CoCoA-5 - Design #1334

sylvester or SylvesterMat?

08 Oct 2019 21:25 - John Abbott

Status: Closed Start date: 08 Oct 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 2.77 hours

Target version: CoCoA-5.3.0 Spent time: 2.85 hours

Description

CoCoA-5 has a function called sylvester; should it not be called SylvesterMat?

History

#1 - 10 Oct 2019 15:53 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

I vote for SylvesterMat

#2 - 10 Oct 2019 16:10 - John Abbott

This fn should be in CoCoALib!

Move it there and change its name; and put sylvester into obsolescent.  Change the doc too!

#3 - 10 Oct 2019 17:27 - Anna Maria Bigatti

John Abbott wrote:

This fn should be in CoCoALib!

Move it there and change its name; and put sylvester into obsolescent.  Change the doc too!

 

There is some commented out code in MatrixSpecial.C

#4 - 11 Oct 2019 11:57 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 60

I have now made the impl in C++; more or less a straight copy of the CoCoA-5 code.

It seems to work (on 2 simple examples).

Still have to make tests, and update doc.
#5 - 11 Oct 2019 12:01 - John Abbott

What should SylvesterMat do if one of the args is 0?

An error must be signalled, but how?

Currently the error is from deg which says that a non-zero ringelem is required.

Should the error actually be thrown by SylvesterMat?

#6 - 11 Oct 2019 12:06 - John Abbott

Not really related: there is a function jacobian which returns the jacobian matrix.  Should it be called JacobianMat?

#7 - 11 Oct 2019 15:03 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 60 to 80

I have changed the CoCoA-5 manual to use the new name.  There was no need to change any tests.

Also added SylvesterMat to CoCoALib doc; no test  :-(

Mmm, I wonder how resultant is implemented?  8-{

#8 - 11 Oct 2019 18:01 - Anna Maria Bigatti

John Abbott wrote:

Not really related: there is a function jacobian which returns the jacobian matrix.  Should it be called JacobianMat?

 

yes!

#9 - 11 Oct 2019 21:54 - John Abbott

I have renamed jacobian to JacobianMat;  jacobian is now in obsolescent (both for CoCoA-5 and CoCoALib).

#10 - 16 Jan 2020 12:28 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 2.22 h

There is no test, but otherwise the code looks fine.  Closing.

#11 - 16 Jan 2020 14:10 - John Abbott

- Estimated time changed from 2.22 h to 2.77 h

Added test to test-MatrixSpecial1.C

#12 - 29 Jan 2021 11:59 - Anna Maria Bigatti

cocoa5 manual for jacobian updated now (2021-01)
